Actualizar de Joomla 2.5.28 a Joomla 3.4 teniendo instalado Virtuemart 2.6  

 
Alceste
 Alceste
Noble Member

Hola, deseo actualizar de Joomla 2.5.28 a Joomla 3.4 teniendo instalado Virtuemart 2.6. He leído el tutorial

https://www.webempresa.com/blog/item/1752-pasos-para-actualizar-a-joomla-3-4.html

pero me surgen dudas ya que también he visto en algunos post que algunos usuarios han tenido problemas. Es posible que en el tiempo transcurrido desde dichos post ya no se produzcan estos problemas, no sé.
Principalmente deseo saber lo siguiente:
¿Puedo actualizar a Joomla 2.5.28 y seguir con la misma versión de Virtuemart 2.6+ que tengo ahora?
Mi tienda es multi-idioma. ¿Conlleva eso algun problema?
La plantilla es la Storebox y no disponéis de la misma para Joomla 3. Si la adquiero directamente al desarrollador también hay el problema de que en la del pack hay retoques que se perderían y el funcionamiento no será el mismo. Por ello me gustaría saber si existe alguna manera de saber cuales son esos retoques y en qué puede afectarme.

Saludos y gracias

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 09/02/2016 8:29 am
Rafael
 Rafael
Miembro Moderator

Hola Alceste,

No podrás VirtueMart 2.6 con Joomla 3.x ya que solo es compatible con la rama 2.5.x

Por lo que estarás forzado a actualizarlo a la última versión si decides actualizar Joomla.

El tema que sea multi-idiomas puede ocasionarte problemas y en determinados casos, los clientes tienen que quedarse en la versión 2.5.28 a causa de esto.

En cuanto a la plantilla, tendrás que actualizarla a Joomla 3 para que funcione.

Si has realizado cambios CSS o editado algún archivo tendrás que hacerlo también en la nueva plantilla (si has creado css custom, tan solo sería copiar y pegar).

Te recomiendo que sigas el paso a paso que se describe en el artículo para que no tengas problemas.

Ni que decir que trabajes la actualización en otro directorio aparte del sitio web en producción.

https://www.webempresa.com/blog/item/1109-copias-de-seguridad-en-joomla-25-y-3x-con-akeeba-backup.html

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 09/02/2016 10:02 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Alceste
 Alceste
Noble Member

Hola,
Dos preguntas más.
¿Sabéis más o menos hasta cuando será inseguro pasar a Joomla 3 y VM 3 para una web multi-idioma? Entiendo que es un handicap al quedarse sin soporte no poder pasar con tranquilidad a la nueva rama y supongo que en un momento u otro se solucionará.

En cuanto en los cambios en la plantilla Storebox, no me refiero a los que yo haya podido efectuar sinó a los que webempresa efectuó en la Storebox que viene con el pack ya que si no lo entendí mal en el pack ya viene con cambios respecto de la original. Por eso lo comentaba.

Saludos y gracias

ResponderCitar
Respondido : 09/02/2016 10:45 am
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

No se puede dar una fecha exacta sobre lo que comentas. Joomla 3.4 ya se puede considerar lo suficientemente estable, cosa que no ocurre con Virtuemart 3, aunque realmente nunca lo ha sido desde la versión 2.

Personalmente te recomendaría que hicieras un clon de la web y prueba a hacer en ella la actualización a Virtuemart 3 y Joomla 3, para comprobar si todo funciona según lo esperado, cosa que es bastante probable.

Los que cambios que se aplicaron en la plantilla Storebox que se publicó junto al pack son menores, y solo podrían afectar a pequeños detalles de diseño poco apreciables. Si tienes opción de actualizarla te recomiendo que lo hagas.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 09/02/2016 2:51 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Alceste
 Alceste
Noble Member

Hola,
Entonces esperaré a que Virtuemart sea suficientemente estable para multi-idioma ya que entiendo que tampoco pasa nada por continuar con Joomla 2.5.28 y Virtuemart 2.6+. Supongo que es mejor esperar
Muchas gracias

ResponderCitar
Respondido : 10/02/2016 8:30 am

Por favor Iniciar Sesión o Registro